// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

import React from 'react';

export function CheckInProgress(): React.ReactElement {
  return (
    <svg
      aria-hidden="true"
      data-name="Ebene 1"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 19.99 20"
      fill="currentColor"
      height="1em"
      width="1em"
    >
      <path
        d="M10.5,19.5a.5.5,0,0,1-.5.5A10,10,0,0,1,6.22.74a.5.5,0,1,1,.38.92A9,9,0,0,0,10,19,.5.5,0,0,1,10.5,19.5ZM10,1a9,9,0,0,1,2.79.44.414.414,0,0,0,.16.02.5.5,0,0,0,.48-.34.509.509,0,0,0-.32-.63A9.871,9.871,0,0,0,10,0a.5.5,0,0,0-.5.5A.5.5,0,0,0,10,1Zm5.2,16.34a8.971,8.971,0,0,1-2.54,1.25.5.5,0,0,0,.15.98.389.389,0,0,0,.15-.02,10.017,10.017,0,0,0,2.82-1.39.5.5,0,0,0-.58-.82ZM5.35,10.03a1,1,0,0,0,.06,1.41l2.16,1.98a.967.967,0,0,0,.68.26,1,1,0,0,0,.64-.23l6.09-5.12A1,1,0,0,0,13.69,6.8L8.27,11.35,6.76,9.96a1,1,0,0,0-1.41.06ZM17.71,4.95A.521.521,0,0,0,18,4.86a.5.5,0,0,0,.11-.7A9.95,9.95,0,0,0,15.9,1.93a.5.5,0,0,0-.59.81A8.827,8.827,0,0,1,17.3,4.75a.494.494,0,0,0,.41.21Zm1.82,2.02a.5.5,0,1,0-.96.3,9.119,9.119,0,0,1,.42,2.8.463.463,0,0,0,.5.46.53.53,0,0,0,.5-.54,10.04,10.04,0,0,0-.47-3.03Zm-.36,5.58a.489.489,0,0,0-.63.32,8.978,8.978,0,0,1-1.31,2.51.5.5,0,0,0,.1.7.472.472,0,0,0,.3.1.507.507,0,0,0,.4-.2,10.185,10.185,0,0,0,1.46-2.79.489.489,0,0,0-.32-.63Z"
        fill="#1d7c00"
      />
    </svg>
  );
}
